Kanał - ATNEL tech-forum
Wszystkie działy
Najnowsze wątki



Teraz jest 31 mar 2020, o 11:57


Strefa czasowa: UTC + 1





Utwórz nowy wątek Odpowiedz w wątku  [ Posty: 16 ] 
Autor Wiadomość
PostNapisane: 3 sie 2018, o 21:52 
Offline
Nowy

Dołączył(a): 22 cze 2018
Posty: 6
Pomógł: 0

Witam Kolegów,
Postanowiłem napisać swój pierwszy program dla Xmegi, ale w Eclipse Mars z nowym Toolchain'em niewiele z procesorów jest wspieranych przez AVR Dude, stąd nierozpoznawanie rejestrów IO dla większości tych procesorów. Da się coś z tym zrobić? maupka



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 3 sie 2018, o 22:06 
Offline
Użytkownik

Dołączył(a): 22 gru 2013
Posty: 296
Lokalizacja: Szczecin
Pomógł: 47

Dude nie ma nic wspólnego z "rozpoznawaniem" rejestrów IO.
Podaj konkrety.



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 3 sie 2018, o 22:11 
Offline
Tech-support
Avatar użytkownika

Dołączył(a): 17 sie 2013
Posty: 3792
Lokalizacja: Grudziądz
Pomógł: 143

Da się bez problemu.
Zobacz:

Obrazek

Eclipse Mars 2.0 przygotowany do ATXMEGA.

XMEGA do wyboru

Obrazek

_________________
Usługi druku przestrzennego - www.drumik.pl



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 4 sie 2018, o 06:13 
Offline
Użytkownik
Avatar użytkownika

Dołączył(a): 04 cze 2014
Posty: 855
Lokalizacja: pod Warszawą
Pomógł: 58

Nawet stare Indigo daje radę
Obrazek
Jak nie masz tych procków to po prostu przeinstaluj Eclipsa w/g poradników i będzie wszystko

_________________
Pomóżcie mi stanąć na nogi



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 4 sie 2018, o 08:45 
Offline
Nowy

Dołączył(a): 22 cze 2018
Posty: 6
Pomógł: 0

Oczywiście na liście mikrokontrolerów mam te wszystkie Xmegi, jednak dla większości z nich jest informacja, że nie są wspierane przez AVR Dude (np. ATXmega128A3). Czy to oznacza, że mimo interfejsu PDI obecnego w AVR ISP mkII nie będę mógł ich zaprogramować? Pozostaje tylko FLIP i bootloader? maupka



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 4 sie 2018, o 10:55 
Offline
Użytkownik

Dołączył(a): 22 gru 2013
Posty: 296
Lokalizacja: Szczecin
Pomógł: 47

Sprawdź w Atmel Studio, ATXmega128A3 powinien być w nim obsługiwany przez MKII ( uwaga na firmware w programatorze).



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 5 sie 2018, o 11:38 
Offline
Użytkownik

Dołączył(a): 01 lis 2013
Posty: 273
Pomógł: 28

maupka napisał(a):
...jednak dla większości z nich jest informacja, że nie są wspierane przez AVR Dude (np. ATXmega128A3)...

Napisz, jaka wersję AVR Dude używasz ?

Sprawdzić, jakie procki potrafi obsłużyć, możesz z poziomu konsoli ( cmd.exe w przyp. windows ) np tak
Składnia: [ Pobierz ] [ Ukryj ]
język bash
Musisz się zalogować, aby zobaczyć kod źródłowy. Tylko zalogowani użytkownicy mogą widzieć kod.


Dostaniesz listę wspieranych mikrokontrolerów.

_________________
Pozdrawiam,
sq8mvy, Paweł



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 5 sie 2018, o 15:08 
Offline
Nowy

Dołączył(a): 22 cze 2018
Posty: 6
Pomógł: 0

Czemu usbasp skoro mam AVR ISP mkII? maupka

------------------------ [ Dodano po: 2 minutach ]

Niewiele z Xmega obsługuje:

x128a4 = ATXMEGA128A4 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:15204]
x64a4 = ATXMEGA64A4 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:15107]
x32a4 = ATXMEGA32A4 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:15010]
x16a4 = ATXMEGA16A4 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14913]
x256a3b = ATXMEGA256A3B [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14816]
x256a3 = ATXMEGA256A3 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14719]
x192a3 = ATXMEGA192A3 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14622]
x128a3 = ATXMEGA128A3 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14525]
x64a3 = ATXMEGA64A3 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14428]
x256a1 = ATXMEGA256A1 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14331]
x192a1 = ATXMEGA192A1 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14234]
x128a1d = ATXMEGA128A1REVD [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14137]
x128a1 = ATXMEGA128A1 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:14040]
x64a1 = ATXMEGA64A1 [C:\Program Files\Atmel\AVR Tools\AVR Toolchain\bin\avrdude.conf:13943]



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 5 sie 2018, o 15:52 
Offline
Użytkownik

Dołączył(a): 01 lis 2013
Posty: 273
Pomógł: 28

Nie ważne jaki model programatora podasz. Ważne, aby wyświetlił listę obsługiwanych mikrokontrolerów.

Jak widzisz, na liście widnieje ATXmega128A3. Nie napisałeś, jaką wersję AvrDude używasz.

_________________
Pozdrawiam,
sq8mvy, Paweł



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 6 sie 2018, o 09:34 
Offline
Nowy

Dołączył(a): 22 cze 2018
Posty: 6
Pomógł: 0

Witam,
Pokazuje mi następującą wersję: avrdude version 5.11.1. Z tego co pamiętam, miałem go z Eclipse, ale mogę się mylić.

Wiem, że ATXmega128A3 jest na liście, ale nie ma całej rzeczy D3, D4 itd.

maupka



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 6 sie 2018, o 12:07 
Offline
Użytkownik

Dołączył(a): 01 lis 2013
Posty: 273
Pomógł: 28

To trzeba przejść na wersję 6.3 avrdude. Tam są obsługiwane te, które cię interesują.

x128a1 = ATxmega128A1
x128a1d = ATxmega128A1revD
x128a1u = ATxmega128A1U
x128a3 = ATxmega128A3
x128a3u = ATxmega128A3U
x128a4 = ATxmega128A4
x128a4u = ATxmega128A4U
x128b1 = ATxmega128B1
x128b3 = ATxmega128B3
x128c3 = ATxmega128C3
x128d3 = ATxmega128D3
x128d4 = ATxmega128D4
x16a4 = ATxmega16A4
x16a4u = ATxmega16A4U
x16c4 = ATxmega16C4
x16d4 = ATxmega16D4
x16e5 = ATxmega16E5
x192a1 = ATxmega192A1
x192a3 = ATxmega192A3
x192a3u = ATxmega192A3U
x192c3 = ATxmega192C3
x192d3 = ATxmega192D3
x256a1 = ATxmega256A1
x256a3 = ATxmega256A3
x256a3b = ATxmega256A3B
x256a3bu = ATxmega256A3BU
x256a3u = ATxmega256A3U
x256c3 = ATxmega256C3
x256d3 = ATxmega256D3
x32a4 = ATxmega32A4
x32a4u = ATxmega32A4U
x32c4 = ATxmega32C4
x32d4 = ATxmega32D4
x32e5 = ATxmega32E5
x384c3 = ATxmega384C3
x384d3 = ATxmega384D3
x64a1 = ATxmega64A1
x64a1u = ATxmega64A1U
x64a3 = ATxmega64A3
x64a3u = ATxmega64A3U
x64a4 = ATxmega64A4
x64a4u = ATxmega64A4U
x64b1 = ATxmega64B1
x64b3 = ATxmega64B3
x64c3 = ATxmega64C3
x64d3 = ATxmega64D3
x64d4 = ATxmega64D4
x8e5 = ATxmega8E5
ucr2 = deprecated, use 'uc3a0512'

_________________
Pozdrawiam,
sq8mvy, Paweł



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 6 sie 2018, o 12:22 
Offline
Nowy

Dołączył(a): 22 cze 2018
Posty: 6
Pomógł: 0

Wystarczy podmienić pliki w katalogu AVR Dude i Eclipse to ruszy? Skąd wziąć najnowszą wersję? maupka



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 6 sie 2018, o 12:39 
Offline
Tech-support

Dołączył(a): 22 sty 2014
Posty: 1806
Zbananowany użytkownik

Pomógł: 168

maupka napisał(a):
Skąd wziąć najnowszą wersję?


hmm, może ze strony wydawcy programu?

http://download.savannah.gnu.org/releases/avrdude/

tak tylko głośno MYŚLĘ.



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 6 sie 2018, o 12:44 
Offline
Nowy

Dołączył(a): 22 cze 2018
Posty: 6
Pomógł: 0

Jeśli sprawdzam w dobrym miejscu, to moje Eclipse korzysta z jeszcze starszej wersji:

Obrazek

Do tego, nie rozpoznaje mi wszystkich symboli, choć kompiluje bez błędów:

Obrazek

maupka

------------------------ [ Dodano po: 3 minutach ]

Nefarious19 napisał(a):
....tak tylko głośno MYŚLĘ.


Dziękuję. Aluzja (wielkie liter) zupełnie niepotrzebna, nie wnosi niczego merytorycznego. Jak to podpiąć pod Eclipse'a? maupka



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 7 sie 2018, o 09:35 
Offline
Użytkownik

Dołączył(a): 25 lip 2013
Posty: 2058
Pomógł: 97

Avrdude nie ma nic do kompilacji. To tylko obsluga programatora.



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
PostNapisane: 7 sie 2018, o 12:29 
Offline
Użytkownik

Dołączył(a): 01 lis 2013
Posty: 273
Pomógł: 28

maupka napisał(a):
Jeśli sprawdzam w dobrym miejscu, to moje Eclipse korzysta z jeszcze starszej wersji:

Obrazek



Tego to nie rozumiem, co masz na myśli. Czy wiesz co pokazałeś na tym obrazku ?
Co mają ścieżki do kompilatora z AvrDude ?

Jak już wspomniał micky, AvrDude jest tylko do obsługi programatora, natomiast to,
że edytor eclipsa nie rozpoznaje u Ciebie niektórych definicji / zmiennych dla XMeg-i, to szukaj w opcjach eclipsa co masz źle ustawione.
Przecież edytor eclipsa te zdefiniowane nazwy gdzieś musi znaleźć i rozpoznać typ, aby je prawidłowo podświetlać....


Dla pewności pobierz sobie najnowszą wersję Toolchaina: http://www.microchip.com/mplab/avr-support/avr-and-arm-toolchains-(c-compilers)
rozpakuj gdzieś i popraw ścieżki w ustawieniach eclipsa do toolchaina, aby wskazywały na tą nową wersję,
pobierz i zainstaluj najnowsze AvrDude, jeżeli koniecznie musisz mieć obsługę wszystkich XMeg przez AvrDude.....

I najważniejsze, włącz myślenie.....

_________________
Pozdrawiam,
sq8mvy, Paweł



Góra
 Zobacz profil  
cytowanie selektywne  Cytuj  
Wyświetl posty nie starsze niż:  Sortuj wg  
Utwórz nowy wątek Odpowiedz w wątku  [ Posty: 16 ] 

Strefa czasowa: UTC + 1


Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników i 0 gości


Nie możesz rozpoczynać nowych wątków
Nie możesz odpowiadać w wątkach
Nie możesz edytować swoich postów
Nie możesz usuwać swoich postów
Nie możesz dodawać załączników

Szukaj:
Skocz do:  
Sitemap
Technologię dostarcza phpBB® Forum Software © phpBB Group phpBB3.PL
phpBB SEO